Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## classes
Class Entry

    java.lang.Object
      classes.Entry

    public class Entry

extends java.lang.Object

Az Entry osztály az egyes bejegyzések, számlák, adatainak tárolására szolgál

Constructor Summary
`Entry(int wasted, int typeOfTransaction, int partnerID, java.sql.Date dateOfTransaction, java.lang.String billSerial, java.util.List<EntryRow> l, int copies)` Létrehoz egy Entry objektumot a megadott értékekkel.

Method Summary
`java.lang.String` | `getBillSerial()` A metódus segítségével lekérdezhető a számla sorszáma
`int` | `getCopies()`
`java.sql.Date` | `getDateOfTransaction()` A metódus segítségével lekérdezhető a számla kibocsátásának dátuma
`int` | `getPartnerID()` A metódus segítségével lekérdezhető, hogy mely partnerrel köttetett az üzlet, amelyről a számla szól
`java.util.List<EntryRow>` | `getRows()` A metódus segítségével ek a számla lévő sorok
`int` | `getTypeOfTransaction()` A metódus segítségével lekérdezhető a számla típusa
`int` | `getWasted()` A metódus segítségével lekérdezhető, hogy a számla érvényes-e

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Entry

    public Entry(int wasted,
                 int typeOfTransaction,
                 int partnerID,
                 java.sql.Date dateOfTransaction,
                 java.lang.String billSerial,
                 java.util.List<EntryRow> l,
                 int copies)

  Létrehoz egy Entry objektumot a megadott értékekkel.

  Parameters:
    `wasted` - A számla érvényessége (0 vagy 1)
    `typeOfTransaction` - A számla típusa (0 vagy 1)
    `partnerID` - A számlához tartozó ügyfél azonsítószáma
    `dateOfTransaction` - A számla kibocsátásának dátuma
    `billSerial` - A számla sorszáma
    `l` - A számlán tárolt tételsorok listája

Method Detail

### getDateOfTransaction

    public java.sql.Date getDateOfTransaction()

  A metódus segítségével lekérdezhető a számla kibocsátásának dátuma

  Returns:
    A számla kibocsátásának dátuma

### getPartnerID

    public int getPartnerID()

  A metódus segítségével lekérdezhető, hogy mely partnerrel köttetett az üzlet, amelyről a számla szól

  Returns:
    Az üzleti partner azonosítószáma

### getBillSerial

    public java.lang.String getBillSerial()

  A metódus segítségével lekérdezhető a számla sorszáma

  Returns:
    A számla sorszáma

### getTypeOfTransaction

    public int getTypeOfTransaction()

  A metódus segítségével lekérdezhető a számla típusa

  Returns:
    0, ha bevételről,
    1, ha kiadásról szól a számla

### getWasted

    public int getWasted()

  A metódus segítségével lekérdezhető, hogy a számla érvényes-e

  Returns:
    0, ha érvényes,
    1, ha érvénytelen, vagyis rontottként lett megjelölve

### getRows

    public java.util.List<EntryRow> getRows()

  A metódus segítségével ek a számla lévő sorok

  Returns:
    Egy listába gyűjtve a számlán szereplő sorok, tételek

### getCopies

    public int getCopies()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD